Bug 1868638 - [GSS][ceph-dashboard] When we select “This week” for Historical Data in Overall Performance graph, it is not showing any metrics (N/A) in dashboard
Summary: [GSS][ceph-dashboard] When we select “This week” for Historical Data in Overa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 4.1
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: ---
: 4.2
Assignee: avan
QA Contact: Sunil Angadi
Amrita
URL:
Whiteboard: wip
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-08-13 11:14 UTC by Karun Josy
Modified: 2021-06-09 16:16 UTC (History)
12 users (show)

Fixed In Version: ceph-14.2.11-11.el8cp, ceph-14.2.11-11.el7cp
Doc Type: Bug Fix
Doc Text:
.Removed options which expect future data from Grafana dashboards embedded in {storage-product} dashboard Previously, when the option ”this week” was selected from “Historical Data” in the overall performance graph, the metrics were not displayed as few historical data options in the Grafana metrics expected future data. With this release,the historical data options that expect future data have been removed and the metrics are displayed as expected.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:56:31 UTC
Target Upstream Version:
athakkar: needinfo+


Attachments (Terms of Use)
Screenshot (149.22 KB, image/png)
2020-08-13 11:14 UTC, Karun Josy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 47049 0 None None None 2020-09-04 11:45:40 UTC
Github ceph ceph pull 36790 0 None closed nautilus: mgr/dashboard: remove "This week/month/year" and "Today" time stamps of Grafana in dashboard 2021-02-19 12:19:39 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:52 UTC

Description Karun Josy 2020-08-13 11:14:57 UTC
Created attachment 1711319 [details]
Screenshot

Description of problem:
When trying to pull Historical Data for 'This week' it is not showing any metrics (N/A)


Version-Release number of selected component (if applicable):
RHCS 4.1

How reproducible:
Always

Steps to Reproduce:
- Install RHCS 4.1 dashboard
- Goto Cluster > Hosts > Overall Performance 
- Select 'This week' from the dropdown menu

Comment 4 avan 2020-08-20 09:58:02 UTC
As this issue is reproducible on the upstream master branch too, I have created the PR to fix this issue https://github.com/ceph/ceph/pull/36735. So once merged in upstream master branch, it can then be directly cherry-picked into the downstream branch for RHCS 4.1.

Comment 17 errata-xmlrpc 2021-01-12 14:56:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.